Bug 1120816 - Resource badge shows UP icon regardless of resource state
Summary: Resource badge shows UP icon regardless of resource state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER05
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 18:41 UTC by Alan Santos
Modified: 2015-09-03 00:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:00:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Alan Santos 2014-07-17 18:41:44 UTC
Description of problem:

The resource badge shown on the detail page always shows the 'UP' icon for a given resource, regardless of state. 

There are 'TYPE' icons for platforms, services and servers with a distinct appearance. These seem like a better choice.

Comment 2 Simeon Pinder 2014-09-29 08:12:27 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 3 Michael Burman 2014-10-08 11:49:00 UTC
Fixed in master (I don't think the change is noticeable, the availability info on the badges is just too small for many resourcetypes):

commit 58e6b54df5c61643c4a1ff5d8b878b4ca84720ed
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Oct 8 14:46:53 2014 +0300

    [BZ 1120816] Change resource detail badgelogo to one with availability info

Comment 4 Libor Zoubek 2014-10-09 11:45:07 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/3a5701178
time:    2014-10-09 13:44:42 +0200
commit:  3a57011788682a4cf490c6cffa2c6a9c3e4799d6
author:  Michael Burman - miburman@redhat.com
message: [BZ 1120816] Change resource detail badgelogo to one with availability
         info
         (cherry picked from commit
         58e6b54df5c61643c4a1ff5d8b878b4ca84720ed) Signed-off-by: Libor
         Zoubek <lzoubek@redhat.com>

Comment 6 Simeon Pinder 2014-10-21 20:24:02 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734


Note You need to log in before you can comment on or make changes to this bug.